import javax.swing.JOptionPane; // giriş çıkışı
import Mathd;

public class H3OD5_2000
{
// ucgenin kenarinin bulunmasi metodu

public static double kkenar(double a,double b,double t)
{
double kenar;
kenar=Math.sqrt(a*a+b*b-2*a*b*Mathd.cosd(t));
return kenar;
}

public static void main(String[] args)
{
Text cin=new Text();
double sayi1;
double sayi2;
double sayi3;
sayi1=Double.parseDouble(JOptionPane.showInputDialog
   ("birinci kenarı giriniz : "));
sayi2=Double.parseDouble(JOptionPane.showInputDialog
   ("ikinci kenarı giriniz : "));
sayi3=Double.parseDouble(JOptionPane.showInputDialog
   (" iki kenar arasındaki açıyı derece cinsinden giriniz  : "));
JOptionPane.showMessageDialog(null,
"üçgenin üçüncü kenarı : "+kkenar(sayi1,sayi2,sayi3),
 "üçgen kenar hesabı",
   JOptionPane.PLAIN_MESSAGE);
   System.exit(0);
}
}


